.loading-container {
	position: relative;
	text-align: center;

	.loading-animation {
		display: inline-block;
		position: relative;
		width: 64px;
		height: 64px;

		div {
			animation: loading-animation 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
			transform-origin: 32px 32px;

			&:after {
				content: " ";
				display: block;
				position: absolute;
				width: 6px;
				height: 6px;
				border-radius: 50%;
				background: inherit;
				margin: -3px 0 0 -3px;
			}
		}
		
		div:nth-child(1) {
			animation-delay: -0.036s;

			&:after {
				top: 50px;
				left: 50px;
			}
		}


		div:nth-child(2) {
			animation-delay: -0.072s;
			&:after {
				top: 54px;
				left: 45px;
			}
		}

		div:nth-child(3) {
			animation-delay: -0.108s;

			&:after {
				top: 57px;
				left: 39px;
			}
		}

		div:nth-child(4) {
			animation-delay: -0.144s;

			&:after {
				top: 58px;
				left: 32px;
			}
		}

		div:nth-child(5) {
			animation-delay: -0.18s;

			&:after {
				top: 57px;
				left: 25px;
			}
		}

		div:nth-child(6) {
			animation-delay: -0.216s;

			&:after {
				top: 54px;
				left: 19px;
			}
		}

		div:nth-child(7) {
			animation-delay: -0.252s;
			&:after {
				top: 50px;
				left: 14px;
			}
		}

		div:nth-child(8) {
			animation-delay: -0.288s;
			&:after {
				top: 45px;
				left: 10px;
			}
		}
	}

	@keyframes loading-animation {
		0% {
			transform: rotate(0deg);
		}
		100% {
			transform: rotate(360deg);
		}
	}

	.loading-text {
		font-style: italic;

		> span {
			animation: loading-text-points-animation 2s alternate infinite;

			&:nth-child(2) {
				animation-delay: 150ms
			}

			&:nth-child(3) {
				animation-delay: 300ms
			}

			@keyframes loading-text-points-animation {
				from { opacity: 1 }
				to { opacity: 0 }
			}
		}
	}
}